﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using igGridSample.Models;

namespace igGridSample.Controllers
{
    public class HomeController : Controller
    {
        //
        // GET: /Home/
        private List<Product> myList = GetProducts();

        public ActionResult Index()
        {
            
            var list = new List<Product>();

            return View(list.AsQueryable());
        }

        static List<Product> GetProducts()
        {
            List<Product> products = new List<Product>();

            for (int i = 0; i < 1000; i++)
            {
                products.Add(new Product() { ProductID = i, Name = "Adjustable Race " + i.ToString(), ProductNumber = "AR-5381", ReleaseDate = DateTime.Now.AddDays(i) });
            }

            return products;
        }

        public JsonResult Show(string id, int page = 0, int pageSize = 100, DateTime? minDate = null, DateTime? maxDate = null)
        {
            var model = new ShowModel();
            model.Id = id;
            model.TotalRecordsCount = myList.Count;
            model.Entries = myList.Skip(pageSize * page).Take(pageSize).ToArray();
            return Json(model, JsonRequestBehavior.AllowGet);
        }
    }
}
